apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  namespace: juwan
  name: cluster-example
spec:
  instances: 3
  backup:
    barmanObjectStore:
      destinationPath: s3://juwan-dev-pg-backups-zj/pg-data/
      endpointURL: https://cn-nb1.rains3.com
      s3Credentials:
        accessKeyId:
          name: rc-creds
          key: ACCESS_KEY_ID
        secretAccessKey:
          name: rc-creds
          key: SECRET_ACCESS_KEY
      wal:
        compression: gzip
  storage:
    size: 1Gi
